
Katello - Feature #22296

Send X-Correlation-ID to Pulp REST API

01/17/2018 09:49 AM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Backlog   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Similarly to Candlepin, we want to send correlation id to Pulp as well, when this is implemented:

https://pulp.plan.io/issues/3289

https://bugzilla.redhat.com/show_bug.cgi?id=1480760

Related issues:

Related to Foreman - Tracker #22569: Unified and structured logging Assigned

History

#1 - 01/17/2018 06:46 PM - Justin Sherrill

- translation missing: en.field_release set to 338

- Difficulty set to easy

#2 - 02/15/2018 08:55 AM - Lukas Zapletal

- Related to Tracker #22569: Unified and structured logging added

#3 - 08/03/2018 05:17 PM - Jonathon Turel

- Target version changed from Katello 3.7.0 to Katello Backlog

- Triaged set to Yes

#4 - 08/08/2018 11:36 AM - Lukas Zapletal

For some reason Candlepin Resource in Katello strips UUID down and only uses first few bytes. Can you investigate why this was done as well? If

that's limitation of Candlepin, okay, but it's much easier to send the whole UUID. This way another index must be created in ElasticSearch.
